`<arc>` | encodes an arc, the connection from one node to another in a graph.
Attributes: |
`label` | gives a label for an arc.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED
`label2` | gives a second label for an arc.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED
Note | Use this attribute together with the `label` attribute if a transducer is being encoded.
`from` | gives the ID of the node which is adjacent from this arc.
| Datatype: IDREF
| Values: The ID of a node.
| Default: #REQUIRED
`to` | gives the ID of the node which is adjacent to this arc.
| Datatype: IDREF
| Values: The ID of a node.
| Default: #REQUIRED

Example

    <arc from=t3 to=t3 label='OLD' label2='VIEUX'>

Note

The `<arc>` element must be used if the arcs are labeled. Otherwise, arcs can be encoded using the `adj` , `adjTo` and `adjFrom` attributes on the `<node>` tags in the graph. Both `<arc>` tags and adjacency attributes can be used, but the resulting encoding would be highly redundant.

Tagset additional tag set for graphs, networks, and trees
Class
Filename `teinet2`
Content: empty
Parents graph
Children[none]
Declaration

    <!ELEMENT arc           - O  EMPTY                              >
    <!ATTLIST arc                %a.global
              label              CDATA               #IMPLIED
              label2             CDATA               #IMPLIED
              from               IDREF               #REQUIRED
              to                 IDREF               #REQUIRED      >

See 21.1

Back to index